﻿Imports System.Windows.Data

Public Class KilometersConverter
    Implements IValueConverter
    Public Function Convert(ByVal value As Object,
                            ByVal targetType As Type,
                            ByVal parameter As Object,
                            ByVal culture As System.Globalization.CultureInfo
                            ) As Object Implements IValueConverter.Convert
        Dim distance = CDbl(value)
        If distance < 1 Then
            Return String.Format("{0} m", distance * 1000)
        Else
            Return String.Format("{0} km", Math.Round(distance, 1))
        End If
    End Function

    Public Function ConvertBack(ByVal value As Object,
                                ByVal targetType As Type,
                                ByVal parameter As Object,
                                ByVal culture As System.Globalization.CultureInfo
                                ) As Object Implements IValueConverter.ConvertBack
        Throw New NotImplementedException
    End Function
End Class
