﻿Imports System.Collections.Generic
Imports System.Collections.ObjectModel

Imports Utils.WP7.Bing.BingRoute

Public Module ItineraryItemExtensions
    <System.Runtime.CompilerServices.Extension()>
    Public Function ToDisplay(ByVal items As IEnumerable(Of ItineraryItem)
                                  ) As ObservableCollection(Of ItineraryItemDisplay)
        ' New display list.
        Dim displayItems = New ObservableCollection(Of ItineraryItemDisplay)

        ' Convert each item.
        For i = 0 To items.Count() - 1
            Dim currentItem = items.ElementAt(i)

            ' New display item.
            Dim displayItem = New ItineraryItemDisplay
            displayItem.Index = i + 1
            displayItem.Distance = currentItem.Summary.Distance
            displayItem.TotalSeconds = currentItem.Summary.TimeInSeconds
            displayItem.Text = currentItem.Text

            ' Add to list.
            displayItems.Add(displayItem)
        Next i

        Return displayItems
    End Function
End Module
