Imports System.IO
Imports Microsoft.WindowsAzure.Diagnostics
Imports Microsoft.WindowsAzure.ServiceRuntime


Public Class AzureLocalStorageTraceListener
    Inherits XmlWriterTraceListener
    Public Sub New()
        MyBase.New(Path.Combine(AzureLocalStorageTraceListener.GetLogDirectory().Path,
                                "Examples.Bing.Cloud.Restaurants.svclog"))
    End Sub

    Public Shared Function GetLogDirectory() As DirectoryConfiguration
        Dim directory As New DirectoryConfiguration
        directory.Container = "wad-tracefiles"
        directory.DirectoryQuotaInMB = 10
        directory.Path = RoleEnvironment.GetLocalResource("Examples.Bing.Cloud.Restaurants.svclog").RootPath
        Return directory
    End Function
End Class
