﻿Partial Public Class RouteView
    Inherits PhoneApplicationPage
    Public Sub New()
        InitializeComponent()

        ' Initialize the viewmodel.
        Dim vm = New RouteViewModel
        AddHandler vm.RouteResolved,
            Sub(s, e) pivot.SelectedIndex = 2

        ' Set datacontext.
        DataContext = vm
    End Sub

    Private Sub OnResolveRoute(ByVal sender As Object,
                               ByVal e As System.Windows.RoutedEventArgs)
        TryCast(DataContext, RouteViewModel).ResolveRoute()
    End Sub

    Private Sub OnResolveRouteFromCurrent(ByVal sender As Object,
                                          ByVal e As System.Windows.RoutedEventArgs)
        TryCast(DataContext, RouteViewModel).ResolveRouteFromCurrent()
    End Sub
End Class