﻿Imports System.Windows.Data
Imports System.Collections.Generic

Imports Microsoft.Phone.Controls.Maps.Platform

Public Class LocationConverter
    Implements IValueConverter
    Public Function Convert(ByVal value As Object,
                            ByVal targetType As Type,
                            ByVal parameter As Object,
                            ByVal culture As System.Globalization.CultureInfo
                            ) As Object Implements IValueConverter.Convert
        If TypeOf value Is Location Then
            Return (TryCast(value, Location)).ToCoordinate()
        ElseIf TypeOf value Is IEnumerable(Of Location) Then
            Return (TryCast(value, IEnumerable(Of Location))).ToCoordinates()
        Else
            Return Nothing
        End If
    End Function

    Public Function ConvertBack(ByVal value As Object,
                                ByVal targetType As Type,
                                ByVal parameter As Object,
                                ByVal culture As System.Globalization.CultureInfo
                                ) As Object Implements IValueConverter.ConvertBack
        Throw New NotImplementedException
    End Function
End Class
